.\" Copyright (c) 1995
.\"	Peter Dufault,  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\"
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/pt.4,v 1.4.2.2 1999/09/05 11:26:57 peter Exp $
.\"
.Dd March 2, 1995
.Dt PT 4
.Os FreeBSD
.Sh NAME
.Nm pt
.Nd SCSI processor type driver
.Sh SYNOPSIS
.Cd device pt0 at scbus?
.Sh DESCRIPTION
The
.Nm
driver provides support for a 
.Tn SCSI
processor type device.  These are usually scanners and other
devices using the
.Tn SCSI
link as a communication interface with device
specific commands embedded in the data stream.
.Pp
A
.Tn SCSI
adapter must be separately configured into the system
before this driver can be used.
.Pp
This device only supports
.Xr read 2
and
.Xr write 2 ,
and the generic
.Tn SCSI
.Xr ioctl 2
calls.
The
.Sq Li at scbus?
is required in the config file for the configuration
system to know this is a SCSI device and generate the appropriate
tables.
.Pp
The
.Sq Li 0
in 
.Sq Li pt0
in the configuration is required.
This is a deficiency in 
.Xr config 8 .
.Sh IOCTLS
The 
.Nm
driver has no
.Fn ioctl
commands of its own but rather acts as a medium for the
generic 
.Xr scsi 4
commands. These are described in
.Aq Pa sys/scsiio.h .
All
.Xr scsi 4
debug ioctls work on 
.Nm
devices.
.Sh FILES
.Bl -tag -width /dev/ptQQQ -compact
.It Pa /dev/pt Ns Ar N
the
.No Ar N Ns th processor device.
.El
.Sh SEE ALSO
.Xr scsi 4
.Sh HISTORY
The
.Nm
driver appeared in 
.Fx 2.1 .
